Closed Bug 603245 Opened 11 years ago Closed 11 years ago

Installing Firefox 4 Beta 6 gives Procedure Entry Point "SHCreateItemFromParsingName" Error

Categories

(Firefox :: Installer, defect)

x86
Windows XP
defect
Not set
normal

Tracking

()

RESOLVED FIXED
Firefox 4.0b12

People

(Reporter: nandigatti, Assigned: robert.strong.bugs)

References

Details

Attachments

(1 file)

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.10) Gecko/20100914 Firefox/3.6.10
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.10) Gecko/20100914 Firefox/3.6.10

OS -XPPSP2-IE6-32BIT-English

Reproducible: Always

Steps to Reproduce:
1.Download Beta v4.0 installer. 
2. Once the download is complete, run the installer. 
3.
Actual Results:  
When in 'Mozilla FireFox 4.0 Beta 6 Setup' window showed an error-'Setup.exe-Entry Point Not Found'

Expected Results:  
Installation should succeed without any errors.
Attached image screenshot
Severity: critical → normal
Summary: While installing Beta4.0 version 'Entry Point Not Found' error is seen → Installing Firefox 4 Beta 6 gives Procedure Entry Point "SHCreateItemFromParsingName" Error
Version: unspecified → Trunk
Attachment #482178 - Attachment description: error log → screenshot
Please attach the install.log file located in the installation directory
ApplicationID doesn't load that dynamically. (SHCreateItemFromParsingName is only available on Vista and up.) Although from testing I seem to remember load fails on nsis add-ins didn't bork the install. You would think XP users would be screaming like crazy if this was the problem.
I suspect that the os version detection might not be working on this system similar to why there is the registry check for Vista if it reports pre Vista. But as you say, it shouldn't have bork'd the install.
Reporter, can you please attach the install.log as you requested in comment #2?
Bug 621873 makes it so we only call the plugin that uses SHCreateItemFromParsingName in the installer when on Windows 7... adding dependency.
Depends on: 621873
I added code in bug 621873 so that this plugin isn't called except on Windows 7 so this should be fixed by the checkin of bug 621873
Assignee: nobody → robert.bugzilla
Status: UNCONFIRMED → RESOLVED
Closed: 11 years ago
Flags: in-testsuite-
Flags: in-litmus-
Resolution: --- → FIXED
Target Milestone: --- → Firefox 4.0b12
You need to log in before you can comment on or make changes to this bug.